Subject: Re: linux-next: manual merge of the akpm tree with the kbuild tree

From: Michal Marek <[email-masked]>
Date: Thu, 04 Jul 2013 11:07:04 +0200

On 4.7.2013 06:43, Andrew Morton wrote:
> On Thu, 4 Jul 2013 14:33:53 +1000 Stephen Rothwell <[email-masked]> wrote:
> 
>> Hi Andrew,
>>
>> Today's linux-next merge of the akpm tree got conflicts in
>> tools/include/tools/be_byteshift.h and tools/include/tools/le_byteshift.h
>> between commit b35310627f39 ("tools/include: use stdint types for
>> user-space byteshift headers") from the kbuild tree and commit
>> "scripts/sortextable.c: fix building on non-Linux systems" from the
>> akpm tree.
>>
>> As fas as I can tell, these patches do the same thing except one uses
>> stdint.h and the other inttypes.h.  I just dropped the akpm tree patch.
> 
> Well OK, but new patches really shouldn't be popping up in the middle
> of the merge window like this.

Sorry for that.

> AFAICT Yaakov (re)sent this patch way back in April, so it should have
> been in -next for a long time.  Something has gone wrong here.

I only saw an email from June 26, I wasn't on the CC list of the
previous submissions.

Michal